*{
    margin: 0;
    padding: 0;
    font-family: 'Nunito', sans-serif;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;  
}

:root{
    --dark-color: rgb(1, 82, 1);
    --primary-color: #0eb582;
    --secondary-color: #d6fbe5;
    --border: .1rem solid var(--primary-color);
    --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.3);

    --heading-font: 3rem;
    --subheading-font: 1.5rem;
    --body-font: 1.1rem;
}

body{
    background-color: white
}

.btn{
    padding: .7rem 1rem;
    background-color: var(--dark-color);
    color: var(--secondary-color);
    font-size: var(--body-font);
    border: var(--border);
    border-radius: 2rem;
}

.btn:hover{
    background-color: white;
    color: var(--dark-color);
}

.success{
    background: rgba(45, 251, 124, 0.5);
    padding: .5rem 1rem;
    text-align: center;
    color: black;
    box-shadow: var(--box-shadow);
    margin: 1rem;
}

.error{
    background: rgba(254, 40, 40, 0.9);
    padding: .5rem 1rem;
    text-align: center;
    color: white;
    box-shadow: var(--box-shadow);
    margin: 1rem;
}

.modal{
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) scale(0);
    transition: .2s ease-in-out;
    box-shadow: var(--box-shadow);
    z-index: 10000;
    background-color: var(--dark-color);
    width: 400px;
    max-width: 90%;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 1rem;
}

.modal.active{
    transform: translate(-50%, -50%) scale(1);
}

.login-container{
    padding: .5rem;
}

.login-container input[type="submit"]{
    padding: .5rem 10%;
    border-radius: 5rem;
    background: var(--dark-color);
    color: var(--secondary-color);
    border: var(--border);
    font-size: 1.1rem;
}

.login-container input[type="submit"]:hover{
    background: white;
    border: .1rem solid var(--dark-color);
    color: var(--dark-color);
    cursor: pointer;
}

#login-overlay{
    position: fixed;
    /* opacity: 0; */
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 1001;
    pointer-events: none;
    transition: .2s ease-in-out;
}

#login-overlay.active{
    pointer-events: all;
    opacity: 1;
    background-color: rgba(0, 0, 0, 0.7);
    cursor: pointer;
}

.close {
    position: absolute;
    top: .5rem;
    right: 1.5rem;
    color: #aaa;
    font-size: 28px;
    font-weight: bold;
  }
  
  .close:hover,
  .close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
  }



/************ START OF HEADER *************/
/******************************************/

header{
    width: 100%;
    min-height: 500px;
    background-image: url(../images/heading-bg.jpg);
    /* background-image: url(../images/banner.webp); */
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    justify-content: center;
    align-items: center;
}

.navbar{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background: var(--secondary-color);
    box-shadow: var(--box-shadow);
    padding: 2rem 10%;
    display: flex;
    align-items: center;
    z-index: 1000;
    height: 90px;
}

.logo{
    display: flex;
    justify-content: center;
    align-items: center;
    margin-right: auto;
}

.logo a{
    font-size: 1.75rem;
    color: var(--dark-color);
    text-transform: uppercase;
}

.logo img{
   padding: .25rem;
   width: 55px;
   margin-bottom: 1.25rem;
}
.nav-items{
    position: relative;
}

.nav-items a{
    margin-right: 1rem;
    font-size: 1rem;
    color: var(--dark-color);
    text-transform: uppercase;
    padding: 0 .5rem;
}

.nav-items a:hover{
    text-decoration: underline;
    color: var(--primary-color);
}

#close-menu{
    display: none;
}

.nav-icons{
    cursor: pointer;
    font-size: 1.25rem;
    color: var(--dark-color);
}

.nav-icons div{
    margin-left: 1rem;
}

#menu-btn{
    display: none;
}

.banner{
    text-align: center;
    margin-top: 4rem;
    padding: 2rem;
    /* margin-left: 10rem; */
    
}

.banner h1{
    font-size: 4rem;
}
.banner h3{
    font-size: 2rem;
}

.about-section h1{
    margin-bottom: 3rem;
}


/************ END OF HEADER ***************/
/******************************************/

section{
    padding: 4rem 10%;
    /* border-top: var(--border);
    border-bottom: var(--border); */
}

/************ START OF PROCESS SECTION *************/
/***************************************************/
.process{
    padding: 2rem;
}

.process-container{
    text-align: center;
    display: flex;
    box-shadow: var(--box-shadow);
}

.process-left{
    position: relative;
}

.process-left img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.process-right p{
    margin-top: .5rem;
    font-size: var(--body-font);
    padding: 0 2rem;
}

.process-right h1{
    font-size: var(--heading-font);
}

.card{
    padding: 1rem;
    border: none;
}

.card p{
    padding: 0;
}

.process-card-container{
    display: flex;
    margin: 1rem;
}

.process-card-container img{
    width: 75px;
}


/************ END OF PROCESS SECTION *************/
/***************************************************/



/************ START OF SUBJECTS SECTION *************/
/***************************************************/

.heading{
    text-align: center;
    /* margin-bottom: 3rem; */
    font-size: var(--heading-font);
}

.subjects ul{
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 5px;
}

.subjects ul li{
    padding: 0 10px;
}

.subjects ul li a{
    color: black
}

.box-container{
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(16rem, 1fr));
    gap: 2rem;
    margin-top: 2rem;
}

/*
.about-section-2 .box-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.about-section-2 .box{
    width: 17rem;
}

.subjects .box-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

.subjects .box{
    width: 16rem;
}
*/

.box{
    padding: 3.25rem 2.25rem;
    text-align: center;
    border: var(--border);
    background-color: var(--secondary-color);
    cursor: pointer;
    position: relative;
}

.overlay {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: var(--dark-color);
    overflow: hidden;
    width: 100%;
    height: 0;
    transition: .3s ease;
  }

  .overlay h3{
    margin-bottom: .5rem;
  }

  .overlay p{
    font-size: 1rem;
    margin-bottom: .5rem;
    padding: 0 .3rem;
  }

  .overlay button{
    width: 75%;
    padding: 5px 10px;
    border-radius: 20px;
    margin-top: .5rem;
    background-color: var(--dark-color);
    color: white;
    border: var(--border);
  }
  
  .box:hover .overlay {
    height: 100%;
    padding: 1rem;
    color: var(--secondary-color);
  }

.box img{
    width: 6rem;
    height: 6rem;
    margin-bottom: 1.25rem;
}

.box h3{
    padding: .5rem 0; 
    font-size: var(--subheading-font);
}

.box button{
    width: 75%;
    padding: 5px 10px;
    border-radius: 20px;
    margin-top: .5rem;
    background-color: var(--dark-color);
    color: white;
    border: var(--border);
}

.hide{
    display: none;
}

.box button:hover{
    background-color: white;
    border: var(--border);
    color: var(--dark-color);
}

/************ END OF SUBJECTS SECTION *************/
/***************************************************/



/* MEDIA QUERIES */

@media (max-width: 1200px) {
    .navbar{
        padding: 1rem 5%;
    }
}

@media (max-width: 1000px) {
    html{
        font-size: 90%;
    }

    .navbar{
        padding: 2rem;
    }

    .process-container{
        display: flex;
        flex-direction: column;
    }
}

@media (max-width: 770px) {
    html{
        font-size: 90%;
    }

    .process-card-container{
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }

    .process-card-container p{
        padding: 0 20%;
    }

    .nav-items{
        position: fixed;
        top: 0;
        right: -200%;
        width: 350px;
        background: var(--dark-color);
        height: 100%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        overflow-x: hidden;
        transition: all 0.8s ease;
    }

    .show-nav{
        box-shadow: 0 0 0 100vw rgba(0, 0, 0, .8);
        right: 0;
    }

    #close-menu{
        display: block;
        position: absolute;
        top: 1.5rem;
        right: 2rem;
        font-size: 4rem;
        cursor: pointer;
        color: var(--secondary-color);
    }

    .nav-items a{
        display: block;
        margin: 1rem 0;
        text-align: center;
        color: var(--secondary-color);
        font-size: 2rem;
    }

    #menu-btn{
        display: inline-block;
    }

    /* .box button{
        display: inline-block;
    } */

    .hide{
        display: inline-block;
    }
    
    .success{
        margin-top: 2rem;
    }
    
    .error{
        margin-top: 2rem;
    }
    

    
  

}

@media (max-width: 450px) {
    html{
        font-size: 75%;
    }

    header{
        min-height: 400px;
    }
    
    .success{
        margin-top: 3rem;
    }
    
    .error{
        margin-top: 3rem;
    }
    
    
}


